//WTF??? NR...  it's end of my fucking life
//ONE LOVE...???
//ONE HATE...???
//one ignore????

#include <bits/stdc++.h>
#define en "\n"
#define mp(x,y) make_pair(x,y)
typedef long long ll;
typedef long double ld;

using namespace std;
bool iss[21000];
bool exist[11000];
int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);
    int n,k;
    cin>>n>>k;
    int pos;
    for (int i=1; i<=k; ++i){
        cin>>pos;
        exist[pos]=1;
    }
    for (int j=1; j<=n; ++j)
    for (int i=1; i<=n; ++i){
        if (!exist[i] && !exist[j])
            iss[i+j]=1;
    }
    int cnt=0;
    for (int i=0; i<21000; ++i)
        if (iss[i]) ++cnt;
    cout<<cnt<<en;
    return 0;
}
